> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Journal report



## OpenAPI

````yaml api-reference/openapi.json get /api/reports/journal
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/reports/journal:
    get:
      tags:
        - Reports
      summary: Journal report
      operationId: JournalSheetController_journalSheet
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - description: Whether to hide cents in the number format
          required: false
          name: noCents
          in: query
          schema:
            example: false
            type: boolean
        - description: Whether to divide numbers by 1000
          required: false
          name: divideOn1000
          in: query
          schema:
            example: false
            type: boolean
        - name: transactionType
          required: false
          in: query
          description: Type of transaction to filter
          schema:
            example: payment
            type: string
        - name: transactionId
          required: false
          in: query
          description: ID of the transaction to filter
          schema:
            example: TXN-12345
            type: string
        - name: fromRange
          required: false
          in: query
          description: Start range for filtering
          schema:
            example: 100
            type: number
        - name: toRange
          required: false
          in: query
          description: End range for filtering
          schema:
            type: number
            example: 200
        - name: accept
          required: true
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Journal report
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JournalSheetResponseDto'
              example:
                query:
                  from_date: '2025-06-01'
                  to_date: '2025-06-21'
                  from_range: null
                  to_range: null
                  accounts_ids: []
                  number_format:
                    no_cents: false
                    divide_on1000: false
                data:
                  - date: '2025-05-24T22:00:00.000Z'
                    date_formatted: 2025 May 25
                    transaction_type: Expense
                    reference_id: 1000
                    reference_type_formatted: Expense
                    entries:
                      - index: 1
                        note: null
                        account_name: Prepaid Expenses
                        account_code: '100010'
                        transaction_number: null
                        formatted_credit: 123,123.00
                        formatted_debit: ''
                        credit: 123123
                        debit: 0
                      - index: 2
                        note: ''
                        account_name: Exchange Gain or Loss
                        account_code: '40005'
                        transaction_number: null
                        formatted_credit: ''
                        formatted_debit: 123,123.00
                        credit: 0
                        debit: 123123
                    credit: 123123
                    debit: 123123
                    formatted_credit: $123,123.00
                    formatted_debit: $123,123.00
                  - date: '2025-06-09T22:00:00.000Z'
                    date_formatted: 2025 Jun 10
                    transaction_type: BillPayment
                    reference_id: 3
                    reference_type_formatted: BillPayment
                    entries:
                      - index: 1
                        note: null
                        contact_name: business
                        contact_type: customer
                        account_name: Accounts Payable (A/P)
                        account_code: '20001'
                        transaction_number: ''
                        formatted_credit: ''
                        formatted_debit: '500.00'
                        credit: 0
                        debit: 500
                      - index: 2
                        note: null
                        account_name: Bank Account
                        account_code: '10001'
                        transaction_number: ''
                        formatted_credit: '500.00'
                        formatted_debit: ''
                        credit: 500
                        debit: 0
                    credit: 500
                    debit: 500
                    formatted_credit: $500.00
                    formatted_debit: $500.00
                  - date: '2025-06-09T22:00:00.000Z'
                    date_formatted: 2025 Jun 10
                    transaction_type: VendorCredit
                    reference_id: 3
                    reference_type_formatted: VendorCredit
                    entries:
                      - index: 1
                        note: null
                        contact_name: business
                        contact_type: customer
                        account_name: Accounts Payable (A/P)
                        account_code: '20001'
                        transaction_number: VC-00001
                        formatted_credit: ''
                        formatted_debit: '100.00'
                        credit: 0
                        debit: 100
                      - index: 2
                        note: null
                        account_name: Cost of Goods Sold
                        account_code: '40002'
                        transaction_number: VC-00001
                        formatted_credit: '100.00'
                        formatted_debit: ''
                        credit: 100
                        debit: 0
                    credit: 100
                    debit: 100
                    formatted_credit: $100.00
                    formatted_debit: $100.00
                  - date: '2025-06-09T22:00:00.000Z'
                    date_formatted: 2025 Jun 10
                    transaction_type: VendorCredit
                    reference_id: 4
                    reference_type_formatted: VendorCredit
                    entries:
                      - index: 1
                        note: null
                        contact_name: business
                        contact_type: customer
                        account_name: Accounts Payable (A/P)
                        account_code: '20001'
                        transaction_number: VC-00001
                        formatted_credit: ''
                        formatted_debit: '100.00'
                        credit: 0
                        debit: 100
                      - index: 2
                        note: null
                        account_name: Cost of Goods Sold
                        account_code: '40002'
                        transaction_number: VC-00001
                        formatted_credit: '100.00'
                        formatted_debit: ''
                        credit: 100
                        debit: 0
                    credit: 100
                    debit: 100
                    formatted_credit: $100.00
                    formatted_debit: $100.00
                  - date: '2025-06-09T22:00:00.000Z'
                    date_formatted: 2025 Jun 10
                    transaction_type: Bill
                    reference_id: 4
                    reference_type_formatted: Bill
                    entries:
                      - index: 1
                        note: null
                        contact_name: business
                        contact_type: customer
                        account_name: Accounts Payable (A/P)
                        account_code: '20001'
                        transaction_number: null
                        formatted_credit: 1,000.00
                        formatted_debit: ''
                        credit: 1000
                        debit: 0
                      - index: 1
                        note: null
                        account_name: Cost of Goods Sold
                        account_code: '40002'
                        transaction_number: null
                        formatted_credit: ''
                        formatted_debit: 1,000.00
                        credit: 0
                        debit: 1000
                    credit: 1000
                    debit: 1000
                    formatted_credit: $1,000.00
                    formatted_debit: $1,000.00
                  - date: '2025-06-09T22:00:00.000Z'
                    date_formatted: 2025 Jun 10
                    transaction_type: Bill
                    reference_id: 5
                    reference_type_formatted: Bill
                    entries:
                      - index: 1
                        note: null
                        contact_name: business
                        contact_type: customer
                        account_name: Accounts Payable (A/P)
                        account_code: '20001'
                        transaction_number: null
                        formatted_credit: 1,000.00
                        formatted_debit: ''
                        credit: 1000
                        debit: 0
                      - index: 1
                        note: null
                        account_name: Inventory Asset
                        account_code: '10008'
                        transaction_number: null
                        formatted_credit: ''
                        formatted_debit: 1,000.00
                        credit: 0
                        debit: 1000
                    credit: 1000
                    debit: 1000
                    formatted_credit: $1,000.00
                    formatted_debit: $1,000.00
                  - date: '2025-06-15T22:00:00.000Z'
                    date_formatted: 2025 Jun 16
                    transaction_type: Journal
                    reference_id: 1017
                    reference_type_formatted: Journal
                    entries:
                      - index: 1
                        note: ''
                        account_name: Loan
                        account_code: '20003'
                        transaction_number: REF
                        formatted_credit: ''
                        formatted_debit: 10,000.00
                        credit: 0
                        debit: 10000
                      - index: 2
                        note: ''
                        account_name: Depreciation Expense
                        account_code: '40007'
                        transaction_number: REF
                        formatted_credit: 10,000.00
                        formatted_debit: ''
                        credit: 10000
                        debit: 0
                    credit: 10000
                    debit: 10000
                    formatted_credit: $10,000.00
                    formatted_debit: $10,000.00
                meta:
                  organization_name: BIGCAPITAL, INC
                  base_currency: USD
                  date_format: DD MMM yyyy
                  is_cost_compute_running: false
                  sheet_name: ''
                  formatted_date_range: From 2025/06/01 | To 2025/06/21
                  formatted_from_date: 2025/06/01
                  formatted_to_date: 2025/06/21
            application/json+table:
              schema:
                $ref: '#/components/schemas/JournalSheetTableResponseDto'
components:
  schemas:
    JournalSheetResponseDto:
      type: object
      properties:
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/JournalSheetQueryResponseDto'
        data:
          description: Journal transactions
          type: array
          items:
            $ref: '#/components/schemas/JournalTransactionDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/JournalSheetMetaDto'
      required:
        - query
        - data
        - meta
    JournalSheetTableResponseDto:
      type: object
      properties:
        table:
          description: Table data structure
          allOf:
            - $ref: '#/components/schemas/FinancialTableDataDto'
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/JournalSheetQueryResponseDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/JournalSheetMetaDto'
      required:
        - table
        - query
        - meta
    JournalSheetQueryResponseDto:
      type: object
      properties:
        fromDate:
          type: string
          description: Start date
        toDate:
          type: string
          description: End date
        fromRange:
          type: number
          description: From range
        toRange:
          type: number
          description: To range
        accountsIds:
          description: Account IDs to include
          type: array
          items:
            type: number
        numberFormat:
          type: object
          description: Number format settings
      required:
        - fromDate
        - toDate
        - accountsIds
        - numberFormat
    JournalTransactionDto:
      type: object
      properties:
        date:
          type: string
          description: Transaction date
        dateFormatted:
          type: string
          description: Formatted date
        transactionType:
          type: string
          description: Transaction type
        referenceId:
          type: number
          description: Reference ID
        referenceTypeFormatted:
          type: string
          description: Formatted reference type
        entries:
          description: Journal entries
          type: array
          items:
            $ref: '#/components/schemas/JournalEntryDto'
        credit:
          type: number
          description: Total credit
        debit:
          type: number
          description: Total debit
        formattedCredit:
          type: string
          description: Formatted total credit
        formattedDebit:
          type: string
          description: Formatted total debit
      required:
        - date
        - dateFormatted
        - transactionType
        - referenceId
        - referenceTypeFormatted
        - entries
        - credit
        - debit
        - formattedCredit
        - formattedDebit
    JournalSheetMetaDto:
      type: object
      properties:
        organizationName:
          type: string
          description: Organization name
        baseCurrency:
          type: string
          description: Base currency code
        dateFormat:
          type: string
          description: Date format string
        isCostComputeRunning:
          type: boolean
          description: Whether cost computation is running
        sheetName:
          type: string
          description: Sheet name
        formattedFromDate:
          type: string
          description: Formatted from date
        formattedToDate:
          type: string
          description: Formatted to date
        formattedDateRange:
          type: string
          description: Formatted date range
      required:
        - organizationName
        - baseCurrency
        - dateFormat
        - isCostComputeRunning
        - sheetName
        - formattedFromDate
        - formattedToDate
        - formattedDateRange
    FinancialTableDataDto:
      type: object
      properties:
        columns:
          description: Table column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
        rows:
          description: Table row data
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - columns
        - rows
    JournalEntryDto:
      type: object
      properties:
        index:
          type: number
          description: Entry index
        note:
          type: string
          description: Entry note
        contactName:
          type: string
          description: Contact name
        contactType:
          type: string
          description: Contact type
        accountName:
          type: string
          description: Account name
        accountCode:
          type: string
          description: Account code
        transactionNumber:
          type: string
          description: Transaction number
        formattedCredit:
          type: string
          description: Formatted credit
        formattedDebit:
          type: string
          description: Formatted debit
        credit:
          type: number
          description: Credit amount
        debit:
          type: number
          description: Debit amount
      required:
        - index
        - accountName
        - accountCode
        - formattedCredit
        - formattedDebit
        - credit
        - debit
    FinancialTableColumnDto:
      type: object
      properties:
        key:
          type: string
          description: Column key
        label:
          type: string
          description: Column header label
        cellIndex:
          type: number
          description: Cell position index
        children:
          description: Nested column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
      required:
        - key
        - label
    FinancialTableRowDto:
      type: object
      properties:
        cells:
          description: Cell data for this row
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableCellDto'
        rowTypes:
          description: Row type classifications
          type: array
          items:
            type: string
        id:
          type: object
          description: Row identifier
        children:
          description: Child rows
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - cells
        - rowTypes
        - id
    FinancialTableCellDto:
      type: object
      properties:
        key:
          type: string
          description: Cell key
        value:
          type: string
          description: Cell value
      required:
        - key
        - value

````